| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | Friends | List of all members
Ogre::TerrainLodManager::LoadLodRequest Struct Reference

`#include <OgreTerrainLodManager.h>`

## Public Member Functions
| LoadLodRequest (TerrainLodManager *r, uint16 preparedLod, uint16 loadedLod, uint16 target)

## Public Attributes
uint16 | currentLoadedLod
uint16 | currentPreparedLod
uint16 | requestedLod
TerrainLodManager * | requestee

## Friends
_OgreTerrainExport friend std::ostream & | operator<< (std::ostream &o, const LoadLodRequest &r)

## Constructor & Destructor Documentation

## ◆ LoadLodRequest()

Ogre::TerrainLodManager::LoadLodRequest::LoadLodRequest | ( | TerrainLodManager * | r,
|  | uint16 | preparedLod,
|  | uint16 | loadedLod,
|  | uint16 | target
| ) |  |
| inline

## Friends And Related Function Documentation

## ◆ operator<<

_OgreTerrainExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const LoadLodRequest & | r
| ) |  |
| friend

## Member Data Documentation

## ◆ requestee

TerrainLodManager* Ogre::TerrainLodManager::LoadLodRequest::requestee

## ◆ currentPreparedLod

uint16 Ogre::TerrainLodManager::LoadLodRequest::currentPreparedLod

## ◆ currentLoadedLod

uint16 Ogre::TerrainLodManager::LoadLodRequest::currentLoadedLod

## ◆ requestedLod

uint16 Ogre::TerrainLodManager::LoadLodRequest::requestedLod

The documentation for this struct was generated from the following file:

- OgreTerrainLodManager.h